## defrag 0.61

=== Makefile ===
# Makefile for defrag, the Linux filesystem defragmenter
#
# Copyright (C) 1992, 1993, 1994 Stephen Tweedie (sct@dcs.ed.ac.uk)
# This file may be distributed under the terms of the GNU
# General Public License. 
#
# Note - you need GNU make version 3.70 or later to run this makefile.

VERSION = 0.61

BINDIR = /sbin
MANDIR = /usr/man

CC = gcc
RANLIB = ranlib
ETAGS = /usr/emacs/etc/etags -T

# For 486-specific optimisations:
#CC = gcc -m486

#For the brave...
#CFLAGS = -N -O6 -fomit-frame-pointer -Wall -mpentium -DNODEBUG
#LDFLAGS = -N -s

ifdef DEBUG
CFLAGS = -Wall -g
LDFLAGS = -g
else
CFLAGS = -Wall -O2 -fomit-frame-pointer
LDFLAGS = -s
endif
LIBS= -lncurses

# Comment this out if you don't want QMAGIC executables.
#LDFLAGS:=$(LDFLAGS) -Xlinker -qmagic

PROGS = e2defrag defrag edefrag xdefrag e2dump xdump frag
MAN = defrag.8 frag.8
OBJS = defrag.o buffers.o display.o misc.o

all:	$(PROGS)

defrag:		libminix.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
edefrag:	libext.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
e2defrag:	libext2.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
xdefrag:	libxia.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

e2dump:		e2dump.ext2.o libext2.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
xdump:		xdump.xia.o libxia.a
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

libminix.a: libminix.a($(OBJS:.o=.minix.o) minix.minix.o)
	$(RANLIB) $@
libext.a: libext.a($(OBJS:.o=.ext.o) ext.ext.o)
	$(RANLIB) $@
libext2.a: libext2.a($(OBJS:.o=.ext2.o) ext2.ext2.o)
	$(RANLIB) $@
libxia.a: libxia.a($(OBJS:.o=.xia.o) xia.xia.o)
	$(RANLIB) $@

%.minix.o: %.c
	$(CC) $(CFLAGS) -DMINIXFS -c -o $@ $<

%.ext.o : %.c
	$(CC) $(CFLAGS) -DEXTFS -c -o $@ $<

%.ext2.o : %.c
	$(CC) $(CFLAGS) -DEXT2FS -c -o $@ $<

%.xia.o : %.c
	$(CC) $(CFLAGS) -DXIAFS -c -o $@ $<

version.h:
	echo "char *version = \"$(VERSION)\";" >> version.h


install: all
	install $(PROGS) $(BINDIR)
	install -m644 $(MAN) $(MANDIR)/man8

	
clean:
	rm -f $(PROGS) *.o *.a core .depend version.h

spotless: clean
	rm -f a.out *.i *.s *~ .depend TAGS
	
tags:
	$(ETAGS) *.[ch] README CHANGES INSTALL

distribution: spotless
	(cd ..; \
	 (echo RCS | \
	 tar -cvzf defrag-$(VERSION).tar.gz -X - defrag-$(VERSION)))

PHONY: dep depend
dep depend .depend: version.h
	rm -f .depend
# fudge for dependencies for separate filesystem binaries.
# Try to avoid referring to intermediate object files in the .depend
# file, so that make will delete them automatically once they have
# been incorporated into their lib???.a archive files.
	for f in $(OBJS) ; do \
	  g=`basename $$f .o`; \
	  $(CPP) -M -DMINIX $$g.c \
		| sed "s/$$f/libminix.a($$g.minix.o)/" >> .depend; \
	  $(CPP) -M -DEXT2FS $$g.c \
		| sed "s/$$f/libext2.a($$g.ext2.o)/" >> .depend; \
	  $(CPP) -M -DXIAFS $$g.c \
		| sed "s/$$f/libxia.a($$g.xia.o)/" >> .depend; \
	  $(CPP) -M -DEXTFS $$g.c \
		| sed "s/$$f/libext.a($$g.ext.o)/" >> .depend; \
	done
	\
	$(CPP) -M -DMINIXFS minix.c \
		| sed "s/^\([a-z0-9]*\).o/libminix.a(\1.minix.o)/" >> .depend
	$(CPP) -M -DEXT2FS ext2.c \
		| sed "s/^\([a-z0-9]*\).o/libext2.a(\1.ext2.o)/" >> .depend
	$(CPP) -M -DXIAFS xia.c  \
		| sed "s/^\([a-z0-9]*\).o/libxia.a(\1.xia.o)/" >> .depend
	$(CPP) -M -DEXTFS ext.c \
		| sed "s/^\([a-z0-9]*\).o/libext.a(\1.ext.o)/" >> .depend
	\
	$(CPP) -M -DEXT2FS e2dump.c\
		| sed "s/^\([a-z0-9]*\).o/\1.ext2.o/" >> .depend
	$(CPP) -M -DXIAFS xdump.c \
		| sed "s/^\([a-z0-9]*\).o/\1.xia.o/" >> .depend
include .depend

## defrag 0.73-1

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,35 @@
 # Makefile for defrag, the Linux filesystem defragmenter
 #
-# Copyright (C) 1992, 1993, 1994 Stephen Tweedie (sct@dcs.ed.ac.uk)
+# Copyright (C) 1992, 1993, 1994, 1997 Stephen Tweedie (sct@dcs.ed.ac.uk)
 # This file may be distributed under the terms of the GNU
 # General Public License. 
 #
 # Note - you need GNU make version 3.70 or later to run this makefile.
 
-VERSION = 0.61
+VERSION = 0.73
 
-BINDIR = /sbin
-MANDIR = /usr/man
+BINDIR = $(DESTDIR)/sbin
+MANDIR = $(DESTDIR)/usr/man
 
-CC = gcc
+CC = gcc -pipe
 RANLIB = ranlib
-ETAGS = /usr/emacs/etc/etags -T
+ETAGS = etags -T
 
-# For 486-specific optimisations:
-#CC = gcc -m486
+# CPU-type definition
+#CPU = -m486
 
-#For the brave...
-#CFLAGS = -N -O6 -fomit-frame-pointer -Wall -mpentium -DNODEBUG
-#LDFLAGS = -N -s
+# Optimization
+#OPTI = -O3
+
+# Define this only if your libc already defines llseek.  Modern libcs
+# should do so.  
+DFLAGS = -DHAVE_LLSEEK
 
 ifdef DEBUG
-CFLAGS = -Wall -g
+CFLAGS = -Wall -g $(CPU) $(OPTI) $(DFLAGS)
 LDFLAGS = -g
 else
-CFLAGS = -Wall -O2 -fomit-frame-pointer
+CFLAGS = -Wall -fomit-frame-pointer $(CPU) $(OPTI) $(DFLAGS)
 LDFLAGS = -s
 endif
 LIBS= -lncurses
@@ -36,7 +39,7 @@
 
 PROGS = e2defrag defrag edefrag xdefrag e2dump xdump frag
 MAN = defrag.8 frag.8
-OBJS = defrag.o buffers.o display.o misc.o
+OBJS = defrag.o buffers.o display.o misc.o llseek.o
 
 all:	$(PROGS)
 
@@ -48,6 +51,8 @@
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 xdefrag:	libxia.a
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+e2defrag.static:	display-plain.o libext2.a
+	$(CC) -static $(LDFLAGS) -o $@ $^ $(LIBS)
 
 e2dump:		e2dump.ext2.o libext2.a
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
@@ -83,20 +88,28 @@
 	install $(PROGS) $(BINDIR)
 	install -m644 $(MAN) $(MANDIR)/man8
 
-	
+
 clean:
 	rm -f $(PROGS) *.o *.a core .depend version.h
 
 spotless: clean
 	rm -f a.out *.i *.s *~ .depend TAGS
-	
+
 tags:
 	$(ETAGS) *.[ch] README CHANGES INSTALL
 
 distribution: spotless
 	(cd ..; \
-	 (echo RCS | \
-	 tar -cvzf defrag-$(VERSION).tar.gz -X - defrag-$(VERSION)))
+	 (echo RCS CVS | \
+	 tar -cvzf defrag-$(VERSION).tar.gz -X - defrag-$(VERSION)/*))
+
+.PHONY: changes changelog ChangeLog
+changelog: ChangeLog
+changes: ChangeLog
+ChangeLog:
+	rcs2log -u "sct:Stephen C. Tweedie:sct@dcs.ed.ac.uk" > ChangeLog.new
+	cat ChangeLog >> ChangeLog.new
+	mv ChangeLog.new ChangeLog
 
 PHONY: dep depend
 dep depend .depend: version.h

=== debian/changelog ===
defrag (0.73-1) frozen unstable; urgency=low

  * Fix for bug 17136 didn't work.  Proper solution is include
    <sys/param.h> in defrag.h
  * Fixed problem with llseek, didn't call built in wrapper
    function.  (Fixes: Bug#19998)
  * New upstream release.

 -- Adam Heath <adam.heath@usa.net>  Sun, 22 Mar 1998 05:06:43 -0500

defrag (0.70-6) unstable; urgency=low

  * Switched to debhelper.

 -- Adam Heath <adam.heath@usa.net>  Sat, 14 Mar 1998 20:35:28 -0500

defrag (0.70-5) unstable; urgency=low

  * Fix Lintian errors.

 -- Adam Heath <adam.heath@usa.net>  Sun,  8 Mar 1998 23:37:12 -0500

defrag (0.70-4) unstable; urgency=low

  * LLSEEK not declared in libc6 headers.  Added to defrag.h
      to fix 17135.
  * Borrowed macros from selectbits.h to allow compilation on
      non-ix86 machines.  Fixes bug 17136.

 -- Adam Heath <adam.heath@usa.net>  Fri, 16 Jan 1998 01:49:29 -0500

defrag (0.70-3) unstable; urgency=low

  * debstd solves #15445
  * Bug#15522 supposedly fixed in -1

 -- Adam Heath <adam.heath@usa.net>  Wed, 31 Dec 1997 00:35:12 -0500

defrag (0.70-2) unstable; urgency=low

  * Build with hamm.
  * debstd solves #9665

 -- Christoph Lameter <clameter@waterf.org>  Thu,  4 Sep 1997 15:47:03 -0700

defrag (0.70-1) unstable stable; urgency=low

  * Added a few comments to README.debian re frequent gotcha's with
    defrag.
  * Fixes for >2G partitions.
  * New upstream release

 -- Christoph Lameter <clameter@waterf.org>  Tue, 19 Aug 1997 15:33:21 -0700

defrag (0.61-1) unstable; urgency=low

  * Upstream update. defrag can now actually be build on a current Linux
    system!

 -- Christoph Lameter <clameter@waterf.org>  Mon, 10 Feb 1997 19:34:17 -0800

defrag (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Tue, 5 Nov 1996 20:09:21 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: defrag
Section: admin
Priority: extra
Maintainer: Adam Heath <adam.heath@usa.net>
Standards-Version: 2.1.2.2

Package: defrag
Architecture: i386
Depends: ${shlibs:Depends}
Description: ext2 minix xiafs file system defragmenter
 As a file system is used, data tends to become more and more scattered
 over the disk, degrading performance.  A disk defragmenter simply
 reorganises the data on the disk, so that individual files occupy a
 single sequential set of disk blocks, and all the free space on the
 disk is collected together in a single region.  This generally means
 that reading a whole file is more efficient.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=defrag

build:
	dh_testdir
	make

	touch build

clean:
	dh_testdir
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd debian/tmp/usr/man/man8;for i in e2 e x; do ln -s defrag.8 $${i}defrag.8; done
	make install DESTDIR=`pwd`/debian/tmp;
	dh_installdocs README* BUGS *lsm
	dh_installmanpages
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean checkroot
